CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Session Class Reference

## Public Member Functions
| __construct (&$DB=NULL)
| RegisterVariable ($VariableName, $Value=NULL)
| PassVariable ($VariableName, $Value=NULL)
| UnregisterVariable ($VariableName)
| IsRegistered ($VariableName)
| IsPassed ($VariableName)
| Get ($VariableName)
| GetFromAllSessions ($VariableName)
| SaveState ()
| DeleteExpiredSessions ()

## Public Attributes
| $DB
| $SessionId
| $SessionVariables
| $SaveVarFlags
| $TempVarFlags
| $SessionExpirationTime = 180

## Detailed Description

Definition at line 19 of file Session.php.

## Constructor & Destructor Documentation

Session::__construct | ( | & | $DB = `NULL` | ) |

Definition at line 23 of file Session.php.

References $DB, and $SessionId.

## Member Function Documentation

Session::DeleteExpiredSessions | ( |  | ) |

Definition at line 257 of file Session.php.

References $DB.

Referenced by GetFromAllSessions(), and SaveState().

Here is the caller graph for this function:

Session::Get | ( |  | $VariableName | ) |

Definition at line 155 of file Session.php.

Session::GetFromAllSessions | ( |  | $VariableName | ) |

Definition at line 168 of file Session.php.

References $DB, and DeleteExpiredSessions().

Session::IsPassed | ( |  | $VariableName | ) |

Definition at line 148 of file Session.php.

Session::IsRegistered | ( |  | $VariableName | ) |

Definition at line 143 of file Session.php.

Session::PassVariable | ( |  | $VariableName,
|  |  | $Value = `NULL`
| ) |  |

Definition at line 111 of file Session.php.

Session::RegisterVariable | ( |  | $VariableName,
|  |  | $Value = `NULL`
| ) |  |

Definition at line 96 of file Session.php.

Session::SaveState | ( |  | ) |

Definition at line 210 of file Session.php.

References DeleteExpiredSessions().

Session::UnregisterVariable | ( |  | $VariableName | ) |

Definition at line 133 of file Session.php.

## Member Data Documentation

Session::$DB

Definition at line 193 of file Session.php.

Referenced by __construct(), DeleteExpiredSessions(), and GetFromAllSessions().

Session::$SaveVarFlags

Definition at line 202 of file Session.php.

Session::$SessionExpirationTime = 180

Definition at line 208 of file Session.php.

Session::$SessionId

Definition at line 196 of file Session.php.

Referenced by __construct().

Session::$SessionVariables

Definition at line 199 of file Session.php.

Session::$TempVarFlags

Definition at line 205 of file Session.php.

The documentation for this class was generated from the following file:

- lib/AxisPHP/Session.php